<?php
/**
 * The template for displaying comments
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package kvarken
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<div id="comments">
	<?php
	if ( have_comments() ) :
	?>
		<h2 id="comments-title"><?php comments_number(); ?></h2>
			<?php
			if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) {
			?>
				<div class="paged-comments border radius">
					<?php
					esc_html_e( 'Pages: ', 'kvarken' );
					paginate_comments_links( array('prev_text' => '', 'next_text' => '' ) );
					?>
				</div>
			<?php
			}
			?>
			<ol class="commentlist">
				<?php wp_list_comments(); ?>
			</ol>
			<?php
			if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) {
			?>
				<div class="paged-comments border radius">
					<?php
					esc_html_e( 'Pages: ', 'kvarken' );
					paginate_comments_links( array('prev_text' => '', 'next_text' => '' ) );
					?>
				</div>
			<?php
			}
	endif; // end if have_comments() 
	comment_form();
?>
</div>
