<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package kvarken
 */

?>
	<div id="footer">
	<?php
	if ( ! is_page_template( 'templates/no-widgets-or-comments.php' ) ) {
		// This template should not show the widgets in the footer.
		if ( is_active_sidebar( 2 ) ) {
			dynamic_sidebar( 2 );
		}
	}

	if ( get_theme_mod( 'kvarken_logo_footer' ) && has_custom_logo() ) {
		the_custom_logo();
	}

	if ( get_theme_mod( 'kvarken_footer_title' ) ) {
	?>
		<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
		<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
	<?php
	}
	?>
	</div>
</div>
</div>
<?php wp_footer(); ?>
</body>
</html>
