<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package kvarken
 */

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<a class="skip-link screen-reader-text" href="#main"><?php esc_html_e( 'Skip to content', 'kvarken' ); ?></a>
<div class="wrapper">
	<div id="header">
	<?php
	if ( get_theme_mod( 'kvarken_logo_header' ) && has_custom_logo() ) {
		the_custom_logo();
	}

	if ( display_header_text() ) {
	?>
		<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
		<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
	<?php
	}

	if ( get_theme_mod( 'kvarken_header_image' ) == '' ) {
		?>
		<div id="header-menu" role="navigation"><?php wp_nav_menu( array( 'theme_location' => 'header' ) ); ?></div>
	<?php
	}

	if ( is_home() || is_front_page() or get_theme_mod( 'kvarken_header_image_visibility' ) ) {
		$header_image = get_header_image();
		if ( $header_image ) {
			?>
			<div class="header-image">
			<?php
			if( get_theme_mod( 'kvarken_header_image_link' ) ) {
				echo '<a href="' . esc_url( get_theme_mod( 'kvarken_header_image_link' ) ) . '">';
			}
			?>
			<img src="<?php header_image(); ?>" height="<?php echo esc_attr( get_custom_header()->height ); ?>" width="<?php echo esc_attr( get_custom_header()->width ); ?>" 
			class="header-image" />
			<?php
			if ( get_theme_mod( 'kvarken_header_image_link' ) ) {
				echo '</a>';
			}
			?>
			</div>
		<?php
		}
	}

	if ( get_theme_mod( 'kvarken_header_image' ) ) {
	?>
		<div id="header-menu" role="navigation"><?php wp_nav_menu( array( 'theme_location' => 'header' ) ); ?></div>
	<?php
	}
	?>
	</div>
<div id="main">
