<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package kvarken
 */

get_header();
?>
	<div id="main" class="container">
		<?php
		while ( have_posts() ) : the_post();
			get_template_part( 'content', get_post_format() );
		endwhile;

		if ( get_next_posts_link() ) {
			echo '<div class="newer-posts border radius">';
			next_posts_link( __( 'Next page &rarr;', 'kvarken' ) );
			echo '</div>';
		}

		if ( get_previous_posts_link() ) {
			echo '<div class="older-posts border radius">';
			previous_posts_link( __( '&larr; Previous page','kvarken' ) );
			echo '</div>';
		}
		?>
	</div>
<?php
if ( ! get_theme_mod( 'kvarken_hide_sidebar' ) ) {
	get_sidebar();
} else {
	if ( ! is_home() ) {
		get_sidebar();
	}
}
get_footer();
